Bug 54262 - port lang/perl5 doesn't deinstall /usr/bin/perl on 5.x
port lang/perl5 doesn't deinstall /usr/bin/perl on 5.x
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Anton Berezin
Depends on:
  Show dependency treegraph
Reported: 2003-07-09 14:40 UTC by eikemeier
Modified: 2005-02-02 09:48 UTC (History)
1 user (show)

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description eikemeier 2003-07-09 14:40:03 UTC
 On ${OSVERSION} >= 500043 port lang/perl5 calls ${PREFIX}/bin/use.perl
 which installs the following links:
 but the are not added to the pkg-plist, and consequently not deinstalled
 with the port.


has to be done in pkg-deinstall, because pkg-install calls use.perl
 dependend on sysctl kern.osreldate. perhaps use.perl system should
 do the cleanup. Should I work on a patch?
 On FreeBSD 5.x:
 ls /usr/bin/perl*
 make install
 make deinstall
 ls /usr/bin/perl*
Comment 1 ceri freebsd_committer 2003-07-10 19:18:46 UTC
Responsible Changed
From-To: gnats-admin->freebsd-ports-bugs

Reassign misfiled PR.
Comment 2 Tilman Keskinoz freebsd_committer 2003-07-17 18:46:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tobez

ober to maintainer
Comment 3 Anton Berezin freebsd_committer 2005-02-02 09:48:20 UTC
State Changed
From-To: open->closed

The links are deleted upon deinstallation now.